Package io.vertx.rxjava3.httpproxy

## Class BodyTransformers

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.BodyTransformers

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class BodyTransformers
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Range of transformers ready to be used.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<BodyTransformers>` | `__TYPE_ARG` |
    `static long` | `DEFAULT_MAX_BUFFERED_SIZE` | The default maximum amount of bytes synchronous transformers apply

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BodyTransformers​(BodyTransformers delegate)` |
    `BodyTransformers​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BodyTransformer` | `discard()` | Create a transformer that discards the body, the transformer consumes any media type.
    `boolean` | `equals​(Object o)` |
    `BodyTransformers` | `getDelegate()` |
    `int` | `hashCode()` |
    `static BodyTransformer` | `jsonArray​(long maxBufferedBytes, Function<JsonArray,​JsonArray> transformer)` | Create a body transformer that transforms JSON array to JSON array, the transformer consumes and produces `application/json`.
    `static BodyTransformer` | `jsonArray​(Function<JsonArray,​JsonArray> transformer)` | Like `jsonArray(long, java.util.function.Function<io.vertx.core.json.JsonArray, io.vertx.core.json.JsonArray>)` with `BodyTransformers` maximum buffered bytes.
    `static BodyTransformer` | `jsonObject​(long maxBufferedBytes, Function<JsonObject,​JsonObject> transformer)` | Create a body transformer that transforms JSON object to JSON object, the transformer consumes and produces `application/json`.
    `static BodyTransformer` | `jsonObject​(Function<JsonObject,​JsonObject> transformer)` | Like `jsonObject(long, java.util.function.Function<io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject>)` with `BodyTransformers` maximum buffered bytes.
    `static BodyTransformer` | `jsonValue​(long maxBufferedBytes, Function<Object,​Object> transformer)` | Create a body transformer that transforms JSON value to JSON value, the transformer consumes and produces `application/json`.
    `static BodyTransformer` | `jsonValue​(Function<Object,​Object> transformer)` | Like `jsonValue(long, java.util.function.Function<java.lang.Object, java.lang.Object>)` with `BodyTransformers` maximum buffered bytes.
    `static BodyTransformers` | `newInstance​(BodyTransformers arg)` |
    `static BodyTransformer` | `text​(long maxBufferedBytes, Function<String,​String> transformer, String encoding)` | Create a transformer that transforms text to text, the transformer consumes and produces `text/plain`.
    `static BodyTransformer` | `text​(Function<String,​String> transformer, String encoding)` | Like `text(long, java.util.function.Function<java.lang.String, java.lang.String>, java.lang.String)` with `BodyTransformers` maximum buffered bytes.
    `String` | `toString()` |
    `static BodyTransformer` | `transform​(MediaType consumes, MediaType produces, long maxBufferedBytes, Function<Buffer,​Buffer> transformer)` | Create a body transformer that transforms `consumes` media type to the `produces` media type, by applying the `transformer` function.
    `static BodyTransformer` | `transform​(MediaType consumes, MediaType produces, Function<Buffer,​Buffer> transformer)` | Like `transform(io.vertx.httpproxy.MediaType, io.vertx.httpproxy.MediaType, java.util.function.Function<io.vertx.core.buffer.Buffer, io.vertx.core.buffer.Buffer>)` with `BodyTransformers` maximum buffered bytes.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<BodyTransformers> __TYPE_ARG

    - #### DEFAULT_MAX_BUFFERED_SIZE

          public static final long DEFAULT_MAX_BUFFERED_SIZE

      The default maximum amount of bytes synchronous transformers apply
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BodyTransformers

          public BodyTransformers​(BodyTransformers delegate)

    - #### BodyTransformers

          public BodyTransformers​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public BodyTransformers getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### jsonObject

          public static BodyTransformer jsonObject​(long maxBufferedBytes,
                                                   Function<JsonObject,​JsonObject> transformer)

      Create a body transformer that transforms JSON object to JSON object, the transformer consumes and produces `application/json`.
      Parameters:
        `maxBufferedBytes` - the maximum amount of bytes buffered by the body transformer
        `transformer` - the transformer function
      Returns:
        the transformer instance

    - #### jsonObject

          public static BodyTransformer jsonObject​(Function<JsonObject,​JsonObject> transformer)

      Like `jsonObject(long, java.util.function.Function<io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject>)` with `BodyTransformers` maximum buffered bytes.
      Parameters:
        `transformer` -
      Returns:

    - #### jsonArray

          public static BodyTransformer jsonArray​(long maxBufferedBytes,
                                                  Function<JsonArray,​JsonArray> transformer)

      Create a body transformer that transforms JSON array to JSON array, the transformer consumes and produces `application/json`.
      Parameters:
        `maxBufferedBytes` - the maximum amount of bytes buffered by the body transformer
        `transformer` - the transformer function
      Returns:
        the transformer instance

    - #### jsonArray

          public static BodyTransformer jsonArray​(Function<JsonArray,​JsonArray> transformer)

      Like `jsonArray(long, java.util.function.Function<io.vertx.core.json.JsonArray, io.vertx.core.json.JsonArray>)` with `BodyTransformers` maximum buffered bytes.
      Parameters:
        `transformer` -
      Returns:

    - #### jsonValue

          public static BodyTransformer jsonValue​(long maxBufferedBytes,
                                                  Function<Object,​Object> transformer)

      Create a body transformer that transforms JSON value to JSON value, the transformer consumes and produces `application/json`.
      Parameters:
        `maxBufferedBytes` - the maximum amount of bytes buffered by the body transformer
        `transformer` - the transformer function
      Returns:
        the transformer instance

    - #### jsonValue

          public static BodyTransformer jsonValue​(Function<Object,​Object> transformer)

      Like `jsonValue(long, java.util.function.Function<java.lang.Object, java.lang.Object>)` with `BodyTransformers` maximum buffered bytes.
      Parameters:
        `transformer` -
      Returns:

    - #### text

          public static BodyTransformer text​(long maxBufferedBytes,
                                             Function<String,​String> transformer,
                                             String encoding)

      Create a transformer that transforms text to text, the transformer consumes and produces `text/plain`.
      Parameters:
        `maxBufferedBytes` - the maximum amount of bytes buffered by the body transformer
        `transformer` - the transformer function
        `encoding` -
      Returns:
        the transformer instance

    - #### text

          public static BodyTransformer text​(Function<String,​String> transformer,
                                             String encoding)

      Like `text(long, java.util.function.Function<java.lang.String, java.lang.String>, java.lang.String)` with `BodyTransformers` maximum buffered bytes.
      Parameters:
        `transformer` -
        `encoding` -
      Returns:

    - #### discard

          public static BodyTransformer discard()

      Create a transformer that discards the body, the transformer consumes any media type.
      Returns:
        the transformer instance

    - #### transform

          public static BodyTransformer transform​(MediaType consumes,
                                                  MediaType produces,
                                                  Function<Buffer,​Buffer> transformer)

      Like `transform(io.vertx.httpproxy.MediaType, io.vertx.httpproxy.MediaType, java.util.function.Function<io.vertx.core.buffer.Buffer, io.vertx.core.buffer.Buffer>)` with `BodyTransformers` maximum buffered bytes.
      Parameters:
        `consumes` -
        `produces` -
        `transformer` -
      Returns:

    - #### transform

          public static BodyTransformer transform​(MediaType consumes,
                                                  MediaType produces,
                                                  long maxBufferedBytes,
                                                  Function<Buffer,​Buffer> transformer)

      Create a body transformer that transforms `consumes` media type to the `produces` media type, by applying the `transformer` function.

      The transformer buffers up to `maxBufferedBytes` and then apply the `transformer` function. When the body exceeds the limit, the transformes signal an error and fail the transformation.

      Parameters:
        `consumes` - the consumed media type
        `produces` - the produced media type
        `maxBufferedBytes` - the maximum amount of bytes buffered by the body transformer
        `transformer` - the transformer
      Returns:
        the body transformer

    - #### newInstance

          public static BodyTransformers newInstance​(BodyTransformers arg)